<script context="module">
  export const ACCORDION = {};
</script>

<script>
  import { setContext } from "svelte";

  import { selected, setSelected } from "@stores/accordion.js";
  import Header from "@components/accordion/header/header.svelte";
  import Content from "@components/accordion/content/content.svelte";

  export let key;
  $: open = $selected === key;

  export const handleChange = newValue => {
    setSelected(newValue);
  };
  setContext(ACCORDION, {
    handleChange,
    selected,
  });
</script>

<Header on:click={() => handleChange(key)} {open} {key}>
  <slot name="header">Header</slot>
</Header>
<Content {open} {key}>
  <slot name="content">Content</slot>
</Content>
